<?php

//<----------------------------------------------------------->
//<-------------------COPIA AI BRUXÃO------------------------->
//<-------------CONTATO: https://t.me/eonbry------------------>
//<-------------DEVELOPER: EMANUEL NASCIMENTO----------------->
//<----------------------------------------------------------->


ini_set("display_errors", 1);
ini_set("display_startup_errors", 1);
error_reporting(E_ALL);

if(isset($_GET['mac'])) {
  
  if($_GET["mac"] != "undefined") { 
    $mac_address = $_GET['mac'];
    $mac_address = chunk_split($mac_address, 2, ':');
    $mac_address = rtrim($mac_address, ':');
    $usuario_mac = strtoupper($mac_address);
  } else {
       $usuario_mac = file_get_contents("last_mac.txt");
        $usuario_mac = strtoupper($usuario_mac); 
  }
    
} else {
    $usuario_mac = file_get_contents("last_mac.txt");
    $usuario_mac = strtoupper($usuario_mac);
}

$file_to_get = "note.json";
$db1 = new SQLite3('.eggziedb.db');
$result = $db1->query("SELECT COUNT(id) AS total FROM ibo WHERE mac_address = '$usuario_mac' AND seller <> 'ADM'");
$rownew = $result->fetchArray();
$count = $rownew['total'];

if($count > 0) {
    
    $res1 = $db1->query("SELECT * FROM ibo WHERE mac_address = '$usuario_mac'");
    while ($row1 = $res1->fetchArray()) {
                                   
        $users_id = $row1['id'];
        $user_mac = $row1['mac_address'];
        $user_username = $row1['username'];
        $user_seller = $row1['seller'];
        $user_expire_date = $row1['expire_date'];
        $user_url = $row1['url'];
        $user_title = $row1['title'];
    }
    
    $file_to_get = "note_$user_seller.json";
    if (!file_exists($file_to_get)) {
        $file_to_get = "note.json";
    }
    
}

 
  $jsonData = file_get_contents($file_to_get);
  header('Content-type: application/json; charset=UTF-8');
  $final = json_decode($jsonData);
  echo json_encode($final, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);

?>
